/**
 * @param {import('../types').Options} config
 */
export function createPin(config: import('../types').Options): {
    addAll: (source: import("ipfs-core-types/src/utils").AwaitIterable<import("ipfs-core-types/src/pin").AddInput>, options?: (import("ipfs-core-types/src/pin").AddAllOptions & import("../types").HTTPClientExtraOptions) | undefined) => AsyncIterable<import("multiformats").CID>;
    add: (path: string | import("multiformats").CID, options?: (import("ipfs-core-types/src/pin").AddOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("multiformats").CID>;
    ls: (options?: (import("ipfs-core-types/src/pin").LsOptions & import("../types").HTTPClientExtraOptions) | undefined) => AsyncIterable<import("ipfs-core-types/src/pin").LsResult>;
    rmAll: (source: import("ipfs-core-types/src/utils").AwaitIterable<import("ipfs-core-types/src/pin").RmAllInput>, options?: (import("ipfs-core-types/src/utils").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => AsyncIterable<import("multiformats").CID>;
    rm: (path: string | import("multiformats").CID, options?: (import("ipfs-core-types/src/pin").RmOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<import("multiformats").CID>;
    remote: {
        add: (cid: import("multiformats").CID, { timeout, signal, headers, ...query }: import("ipfs-core-types/src/pin/remote").AddOptions & import("ipfs-core-types/src/utils").AbortOptions & import("../types").HTTPClientExtraOptions) => Promise<import("ipfs-core-types/src/pin/remote").Pin>;
        ls: ({ timeout, signal, headers, ...query }: import("ipfs-core-types/src/pin/remote").Query & import("ipfs-core-types/src/utils").AbortOptions & import("../types").HTTPClientExtraOptions) => AsyncIterable<import("ipfs-core-types/src/pin/remote").Pin>;
        rm: ({ timeout, signal, headers, ...query }: import("ipfs-core-types/src/pin/remote").Query & import("ipfs-core-types/src/utils").AbortOptions & import("../types").HTTPClientExtraOptions) => Promise<void>;
        rmAll: ({ timeout, signal, headers, ...query }: import("ipfs-core-types/src/pin/remote").Query & import("ipfs-core-types/src/utils").AbortOptions & import("../types").HTTPClientExtraOptions) => Promise<void>;
        service: {
            add: (name: string, options: import("ipfs-core-types/src/pin/remote/service").Credentials & import("ipfs-core-types/src/utils").AbortOptions & import("../types").HTTPClientExtraOptions) => Promise<void>;
            ls: (options?: {}) => Promise<import("ipfs-core-types/src/pin/remote/service").RemotePinServiceWithStat[]>;
            rm: (name: string, options?: (import("ipfs-core-types/src/utils").AbortOptions & import("../types").HTTPClientExtraOptions) | undefined) => Promise<void>;
        };
    };
};
//# sourceMappingURL=index.d.ts.map